<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerInfo.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Parsers.Cpp.Emulator.CompilerInfo</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Parsers.html" >Parsers</a>.<a href="../../Cpp.html" >Cpp</a>.<a href="../Emulator.html" >Emulator</a>
</div><div class="class-name">class CompilerInfo

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Parsers/Cpp/Emulator.py.html" target="detail">../Synopsis/Parsers/Cpp/Emulator.py</a></div> <div class="xref"><a href="../../../../../XRef/xref16.html#Synopsis.Parsers.Cpp.Emulator.CompilerInfo" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line244" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>   <div class="doc">Info about one compiler.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Protected Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="_write">_write</a>(<span class="variable">self</span>, <span class="variable">os</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref16.html#Synopsis.Parsers.Cpp.Emulator.CompilerInfo._write" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line272" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <span class="name"><a href="CompilerInfo.html#compiler" >compiler</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line247" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">
    The name of the compiler&#44; typically the executable name&#44;
    which must either be in the path or given as an absolute&#44;
    pathname.</div></div>
<div class="item"><div class="synopsis"> <span class="name"><a href="CompilerInfo.html#flags" >flags</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line252" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Compiler flags that impact its characteristics.</div></div>
<div class="item"><div class="synopsis"> <span class="name"><a href="CompilerInfo.html#language" >language</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line254" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">The programming language the compiler is used for.</div></div>
<div class="item"><div class="synopsis"> <span class="name"><a href="CompilerInfo.html#kind" >kind</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line256" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">
    A string indicating the type of this info:
    one of 'system'&#44; 'custom'&#44; ''.</div></div>
<div class="item"><div class="synopsis"> <span class="name"><a href="CompilerInfo.html#timestamp" >timestamp</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line263" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">The timestamp of the compiler binary.</div></div>
<div class="item"><div class="synopsis"> <span class="name"><a href="CompilerInfo.html#include_paths" >include_paths</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line265" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">A list of strings indicating the include paths.</div></div>
<div class="item"><div class="synopsis"> <span class="name"><a href="CompilerInfo.html#macros" >macros</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line267" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">
    A list of &#40;name&#44;value&#41; pairs.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Class attributes Details:</div>
<div class="item"><div class="synopsis"> <a class="name" id="compiler">compiler</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line247" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">
    The name of the compiler&#44; typically the executable name&#44;
    which must either be in the path or given as an absolute&#44;
    pathname.</div></div>
<div class="item"><div class="synopsis"> <a class="name" id="flags">flags</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line252" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Compiler flags that impact its characteristics.</div></div>
<div class="item"><div class="synopsis"> <a class="name" id="language">language</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line254" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">The programming language the compiler is used for.</div></div>
<div class="item"><div class="synopsis"> <a class="name" id="kind">kind</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line256" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">
    A string indicating the type of this info:
    one of 'system'&#44; 'custom'&#44; ''.
    'custom' compilers will never be automatically updated&#44;
    and an empty string indicates a failure to look up the 
    given compiler.</div></div>
<div class="item"><div class="synopsis"> <a class="name" id="timestamp">timestamp</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line263" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">The timestamp of the compiler binary.</div></div>
<div class="item"><div class="synopsis"> <a class="name" id="include_paths">include_paths</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line265" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">A list of strings indicating the include paths.</div></div>
<div class="item"><div class="synopsis"> <a class="name" id="macros">macros</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line267" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">
    A list of &#40;name&#44;value&#41; pairs. Values may be empty&#44; or None.
    The latter ase indicates that the macro is to be undefined.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:02 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
